.student-stories-section>.ast-container {
    display: block;
    width: 100%;
}

.student-stories-section {
    padding: var(--teflie-space-xl) 0;
    overflow: hidden;
}

.student-stories-section__row {
    padding: var(--teflie-space-lg) 0 var(--teflie-space-xl) 0;
    background-size: 80% !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
    position: relative;
}

.student-stories-section__row--header {
    text-align: center;
    margin-bottom: var(--teflie-space-xl);
}

.student-stories-section__row--header h2 {
    margin-bottom: var(--teflie-space-xs);
}

.student-stories-section__row--content {
    display: flex;
    gap: 15px;
    overflow: hidden;
    justify-content: center;
}

.student-stories-section * {
    transition: width .4s ease-in-out, transform .4s ease-in-out;
}

/* .student-stories-section__row--header h2{
    font-size: 45px;
} */

.student-stories-section__row--header .section-summary{
    font-size: 18px;
}

.story-card {
    display: flex;
    overflow: hidden;
    border-radius: 12px;
    height: 320px;
    cursor: pointer;
}

.story-card.active {
    background: var(--teflie-teal);
    padding: var(--teflie-space-xs);
}

.story-card-image {
    position: relative;
    height: 100%;
}

.story-card-image img {
    height: 100%;
    width: 170px;
    object-fit: cover;
    border-radius: 8px;
    display: block;
}

.story-card-image .flag-img {
    position: absolute;
    bottom: 5px;
    left: 5px;
    width: 60px !important;
    height: 60px;
    object-fit: contain;
}

.story-card.active .story-card-image img {
    width: 200px;
}

.story-card-content {
    display: none;
    padding: 0 var(--teflie-space-md);
    color: var(--teflie-white);
}

.story-card.active .story-card-content {
    display: block;
    max-width: 360px;
    position: relative;
}

.story-card__label {
    background: #F5F1D1;
    color: var(--teflie-text-primary);
    border-radius: 1rem;
    font-size: 14px;
    font-weight: var(--teflie-font-weight-regular);
    line-height: 1.6;
    padding: 4px 10px;
    display: inline-block;
    margin-bottom: var(--teflie-space-md);
}

.story-card__title {
    font-size: 24px;
    font-weight: var(--teflie-font-weight-semibold);
    margin-bottom: var(--teflie-space-sm);
    line-height: 1.2;
}

.story-card__summary {
    font-size: 16px;
    font-weight: var(--teflie-font-weight-regular);
    color: #ffffffcc;
}

.story-card-content .teflie-btn {
    position: absolute;
    bottom: 1rem;
}

.view-all-stories {
    color: #384343;
    border: 1px solid #384343;
    border-radius: 50px;
    display: flex;
    align-items: center;
    gap: 5px;
    padding: 0 17px;
    font-weight: 600;
}

.view-all-stories svg {
    width: 22px;
    height: 22px;
}

@media (max-width: 768px) {
    .student-stories-section__row--content {
        flex-wrap: wrap;
        gap: 12px;
    }

    .story-card.active.story-card.active {
        width: 100%;
        flex: 0 0 100%;
        order: -1;
        height: auto;
        flex-direction: column;
    }

    .story-card:not(.active) {
        width: calc(33.333% - 8px);
        height: 150px;
        display: block;
    }

    .story-card:not(.active) .story-card-image img {
        width: 100%;
    }

    .story-card.active .story-card-image img,
    .story-card.active .story-card-image img {
        width: 100%;
        height: 200px;
    }

    .story-card.active .story-card-image .flag-img {
        height: 60px
    } 

    .story-card.active .story-card-content {
        max-width: 100%;
        padding: var(--teflie-space-sm);
    }

    .story-card__title {
        font-size: 20px;
    }

    .story-card__summary {
        font-size: 14px;
        margin-bottom: 1rem;
    }

    .story-card-content .teflie-btn {
        position: relative;
        width: 100%;
        bottom: auto;
    }

    .student-stories-section__row--content * {
        transition: none!important;
    }
        
}

.student-stories-nav {
    display: flex;
    justify-content: center;
    gap: 18px;
}

.nav-arrow {
    padding: 0;
    background: none;
}

button.nav-arrow:hover,
button.nav-arrow:focus,
button.nav-arrow:focus-visible {
    background-color: transparent !important;
    border-color: none !important;
    outline: none !important;
}

.nav-arrow img {
    width: 40px;
    height: auto;
}

.nav-prev img {
    transform: rotate(180deg);
}
